@echo off
set wd=%~dp0
set x=

REM Check if App Compatibility is installed.
set x=
IF NOT EXIST shadowman.sdb goto SVERR
for /F "usebackq tokens=2 skip=4" %%A in (`reg query "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\AppCompatFlags\Custom\shadowman.exe"`) do set x=%%A
IF ""=="%x%" (sdbinst shadowman.sdb) ELSE sdbinst -u shadowman.sdb
goto END


REM Critical error, exit immediately.
:SVERR
cls
echo .
echo A Critical program component is missing.  Please reinstall Shadow Man.
pause
goto END

:END
exit